# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.htmlParser.comment

Defined in: core/htmlparser/comment.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.htmlParser.comment(value) A lightweight representation of an HTML comment.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| type The node type.
| value The comment text.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| writeHtml(writer, filter) Writes the HTML representation of this comment to a CKEDITOR.htmlWriter.

Class Detail
CKEDITOR.htmlParser.comment(value)
Since: 3.0
A lightweight representation of an HTML comment.

Parameters:
{Undefined} value

Field Detail
{Number} type
Since: 3.0
The node type. This is a constant value set to CKEDITOR.NODE_COMMENT.

{String} value
Since: 3.0
The comment text.
Method Detail
{Undefined} writeHtml(writer, filter)
Since: 3.0
Writes the HTML representation of this comment to a CKEDITOR.htmlWriter.

Parameters:
{CKEDITOR.htmlWriter} writer
  The writer to which write the HTML.
{Undefined} filter

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.